
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports VisualJS
Imports VisualJS.Web.Forms
Imports System.Linq
Imports System.Text

Namespace SampleForms
	Public Partial Class SliderControlTest
		Inherits VisualJS.Web.Forms.Form

		#Region "Constructors"
		Public Sub New()
			InitializeComponent()
			AfterInitialization()
		End Sub

		'Use the below constructor if you create the instance of this Form object other than the active Thread
		'otherwise you will receive "Cant locate the ClientID in active context. Consider using Form constructor with ClientID parameter" exception
		Public Sub New(clientId As String)
			MyBase.New(clientId)
			InitializeComponent()
			AfterInitialization()
		End Sub
		#End Region

		'Use below method for the tasks after the initialization of the Form
        Private Sub AfterInitialization()
            Dim slides As List(Of SliderControl.SliderItem) = New List(Of SliderControl.SliderItem)
            slides.Add(New SliderControl.SliderItem("../Resources/ControlList.jpg", "", "Feature Rich User Interface Controls"))
            slides.Add(New SliderControl.SliderItem("../Resources/OneClick.jpg", "", "Create ONCE Target ALL!"))
            slides.Add(New SliderControl.SliderItem("../Resources/Charts.png", "", "Interactive Charts Support"))
            slides.Add(New SliderControl.SliderItem("../Resources/TurnInto.png", "", "Use your existing codes"))
            slider1.AddSlide(slides)
        End Sub
	End Class
End Namespace 
