﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="SamplePage.aspx.cs" Inherits="VisualJSControlsSample.VisualJSApp.VSJS_SamplePage" %>
<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Sample Page</title>
    <link rel="shortcut icon" href="http://www.visualjs.net/favicon.ico"/>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
	<meta content="text/javascript" http-equiv="Content-Script-Type" />
	<meta content="text/css" http-equiv="Content-Style-Type" />
	<meta id="MetaDescription" name="DESCRIPTION" content="VisualJS.NET Web Application" />

	<meta id="MetaCopyright" name="COPYRIGHT" content="Copyright 2012 zondig!" />
	<meta id="MetaAuthor" name="AUTHOR" content="VisualJS.NET" />  
    
    <!-- Useful options for mobile browsers -->
    <meta name="viewport" content="width=device-width, initial-scale=1;maximum-scale=1.0; user-scalable=no;"/>
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="HandheldFriendly" content="true" />

    <!-- <link href='/VisualJSApp/Style/CustomStyle.css' media='screen' rel='stylesheet' type='text/css' /> -->
    <link href='a.PokeIn?name=VSJS_CSS&type=text' media='screen' rel='stylesheet' type='text/css' />
    
    <!--VisualJS Script Library Codes.-->
    <script type='text/javascript' src='b.PokeIn?name=VSJS_JSS&type=text' charset='UTF-8'></script>
    
    <!--VisualJS Connection Routine.-->
    <script type="text/javascript" src="c.PokeIn?VisualJS=1&rnd=<%=DateTime.Now.Millisecond.ToString()%>"></script>
 
</head>
<body> 
   <script type="text/javascript">
       //VisualJSLoaded event handler
       document.VisualJSLoaded = function () {
           var formType = "MainForm";
           //Show the MainForm
           if (VSJS.MainForm) {
               VSJS.MainForm.Show();
           } else if (VSJS.MobileMainForm) {
               formType = "MobileMainForm";
               VSJS.MobileMainForm.Show();
           };

           //Form OnClose Event
           VSJS[formType].OnClose = function () {
               if (PokeIn.IsConnected) {
                   PokeIn.Close();
               };
               if (!PokeIn.PageUnloading) {
                   setTimeout(PokeIn.ReConnect, 500);
               };
           };
       };
   </script>
</body>
</html>